Which Companion Version For Stock Taranis?

A fork of eePe. It's aim is to provide one tool that works with ALL firmwares!
Post Reply
User avatar
mapes12
Posts: 121
Joined: Tue Jul 09, 2013 6:44 am
Country: United Kingdom
Location: Gnosall UK
Contact:

Which Companion Version For Stock Taranis?

Post by mapes12 » Sat May 02, 2015 3:53 pm

I bought my Taranis a while ago. It's still got the original version of OpenTX FW installed. Looking at the Radio Setup screen 4/7 (Version) it says:-

SVN: opentx-r2940
DATE: 2014-02-02
TIME: 17:32:09

EEPR: 215

From reading the info on the OpenTX website it appears that the FW has gone through various version upgrades with corresponding upgrades to Companion. I've been through a BIG learning curve to set my models up on my Taranis and I'm reluctant to upgrade the FW in case I have to go through another learning curve and to avoid the risk of the upgrades making my models set up redundant.

However, I do want to set up some new models via the Companion GUI on my PC and I need to know which version of Companion I need that is compatible with my version of OpenTX and where to download it from?

Hope someone can help.

Mark


User avatar
Kilrah
Posts: 10056
Joined: Sat Feb 18, 2012 6:56 pm
Country: Switzerland

Re: Which Companion Version For Stock Taranis?

Post by Kilrah » Sat May 02, 2015 4:57 pm

You need to use companion9x version 1.52 from http://www.open-tx.org/downloads.html
If it prompts you to update say no and disable automatic update checks in preferences so it doesn't bother you anymore.

User avatar
mapes12
Posts: 121
Joined: Tue Jul 09, 2013 6:44 am
Country: United Kingdom
Location: Gnosall UK
Contact:

Re: Which Companion Version For Stock Taranis?

Post by mapes12 » Sat May 02, 2015 5:52 pm

Thank you :-)

My PC is running Windows 7. Do you know if I will need the Zadig driver for the PC and Taranis to talk to each other? The reason I ask is that the pdf for my version of OpenTX makes reference to zadig being required to flash the FW. On the basis that I don't intend to upgrade the FW am I correct to assume that I don't need zadig?

Mark

User avatar
Kilrah
Posts: 10056
Joined: Sat Feb 18, 2012 6:56 pm
Country: Switzerland

Re: Which Companion Version For Stock Taranis?

Post by Kilrah » Sun May 03, 2015 3:25 am

Correct.


Post Reply

Return to “companion9x”